Mozilla łata krytyczne luki w przeglądarkach Firefox 3.5.4 i 3.0.15

Strona głównaMozilla łata krytyczne luki w przeglądarkach Firefox 3.5.4 i 3.0.15
28.10.2009 14:57
Mozilla łata krytyczne luki w przeglądarkach Firefox 3.5.4 i 3.0.15

Za sprawą wydań 3.5.4 i 3.0.15 Mozilla zamknęła właśnie sześć krytycznych luk w Firefoksie 3.5 i Firefoksie 3.0. Oprócz tego poprawkowe wydania przeglądarek likwidują trzy średnie i dwa inne błędy o pomniejszym znaczeniu.

Problemy

Aktualizacja bibliotek odtwarzania plików typu OGG naprawia błędy związane z dostępem do pamięci, na które była narażona funkcja obsługi wideo w Firefoksie 3.5. Załatano również luki związane z błędami przepełnienia bufora w funkcji konwersji łańcuchów znakowych na liczby oraz przetwarzania palet kolorów w plikach GIF. Naprawiono odwołania rekurencyjne w mechanizmie Web Workers wprowadzonym do Firefoksa 3.5 – mogły one powodować zawieszenie pracy przeglądarki. Zamknięto usterkę pozwalającą na rozszerzanie uprawnień, którą znaleziono w bibliotece Chome Firefoksa.

288765409556183187
Źródło zdjęć: © (fot. wp.pl)

Krytyczne luki mogły nawet prowadzić do zawieszenia pracy systemu spowodowanego naruszeniem pamięci. Te czynniki spowodowały, że Mozilla oznaczyła wspomniane dziury jako krytyczne.

Zgodnie z opublikowanymi informacjami aktualizacja daje możliwość powtórnego wysłania raportu o błędach i naprawia błąd, który wymuszał przeładowanie stron SSL po wyczyszczeniu prywatnych danych.

Rozwiązanie

Aktualizacje można pobrać ze stron Mozilli lub za pośrednictwem automatycznej aktualizacji Firefoksa. Ich instalacja eliminuje opisywane problemy.

Udostępnij:
Wybrane dla Ciebie
Komentarze (9)